--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Merge <em>arr</em> with receiver, producing the union of receiver &amp; <em>arr</em>
- !ruby/struct:SM::Flow::VERB 
  body: "  s = Extlib::SimpleSet.new([:a, :b, :c])\n  s.merge([:c, :d, :e, f])  #=&gt; #&lt;SimpleSet: {:e, :c, :f, :a, :d, :b}&gt;\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Array] arr Values to merge with set."
- !ruby/struct:SM::Flow::P 
  body: "@return [SimpleSet] The set after the Array was merged in."
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: Extlib::SimpleSet#merge
is_singleton: false
name: merge
params: (arr)
visibility: public
